Bug 884705 (CVE-2013-1927) - CVE-2013-1927 icedtea-web: GIFAR issue
Summary: CVE-2013-1927 icedtea-web: GIFAR issue
Status: CLOSED ERRATA
Alias: CVE-2013-1927
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20130417,repor...
Keywords: Security
Depends On: 949094 949095
Blocks: 884765
TreeView+ depends on / blocked
 
Reported: 2012-12-06 15:39 UTC by Tomas Hoger
Modified: 2013-04-17 19:19 UTC (History)
5 users (show)

Fixed In Version: icedtea-web 1.2.3, icedtea-web 1.3.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-17 19:19:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (14.78 KB, patch)
2012-12-07 15:38 UTC, jiri vanek
no flags Details | Diff
Suggested reproducer for icedtea-web automated testsuite (26.69 KB, patch)
2012-12-13 14:36 UTC, jiri vanek
no flags Details | Diff
Reviwed final patch (16.46 KB, patch)
2012-12-13 14:38 UTC, jiri vanek
jvanek: review+
Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0753 normal SHIPPED_LIVE Moderate: icedtea-web security update 2013-04-17 22:33:27 UTC

Description Tomas Hoger 2012-12-06 15:39:21 UTC
Current IcedTea-Web versions are affected by GIFAR issue.  It is possible to combine GIF image with Java JAR into a single file, that is both valid GIF as well as valid JAR/ZIP file.  This issue can be used to execute Java applet in the context of the site that allows untrusted users to upload images in GIF format.

This problem was previously fixed in Oracle and IBM Java plugins as CVE-2008-5343 (bug 474790).

References:
http://en.wikipedia.org/wiki/Gifar
http://xs-sniper.com/blog/2008/12/17/sun-fixes-gifars/
http://riosec.com/how-to-create-a-gifar

Comment 2 jiri vanek 2012-12-07 15:38:59 UTC
Created attachment 659469 [details]
proposed  patch

This patch is fixing the issue. Troubles will come when not just zip jars will be used (and so jar header will change) - eg pack2000 in jdk8.
Otherwise it was quite tested and looks ok.

Comment 3 jiri vanek 2012-12-13 14:36:55 UTC
Created attachment 663002 [details]
Suggested reproducer for icedtea-web automated testsuite

Comment 4 jiri vanek 2012-12-13 14:38:14 UTC
Created attachment 663003 [details]
Reviwed final patch

Comment 13 Murray McAllister 2013-04-17 07:31:17 UTC
Acknowledgements:

This issue was discovered by the Red Hat Security Response Team.

Comment 15 errata-xmlrpc 2013-04-17 18:33:49 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0753 https://rhn.redhat.com/errata/RHSA-2013-0753.html


Note You need to log in before you can comment on or make changes to this bug.